#include<bits/stdc++.h>
using namespace std;
bool kontra(int a, int b){
    if(a>b) return true;
    else return false;
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    int t;
    cin>>t;
    int n;
    for(int j = 0; j < t; j++){
        cin>>n;
        int a[n],b[n];

        for(int i = 0; i < n; i++) cin>>a[i];

        for(int i = 0; i < n; i++) cin>>b[i];
        int c[n];
        int d[n];
        for(int i = 0; i < n; i++) c[i] = a[i];
        for(int i = 0; i < n; i++) d[i] = b[i];
        bool da;
        int br=0;
        int br1=0;
        bool x = false;
        for(int i = 0;i<n;i++){
            if((c[i]>0 && d[i]<0) || (c[i]<0 && d[i]>0)) c[i] = -c[i];
        }
        for(int i = 0; i < n;i++){
            if(c[i] == d[i]){
                cout<<"NE"<<'\n';
                da = false;
                break;
            }
            else da = true;
        }
        sort(d,d+n);
        sort(c,c+n);
        for(int i = 0;i<n;i++){
            if(c[i] != 0) br++;
            if(d[i] != 0) br1++;
        }
        if(br == 1 && br1 == 1){
            cout<<"DA";
        }
        else if(da){
            sort(a,a+n,kontra);
            for(int i =0;i<n;i++) {
                    a[i] = -a[i];
            }
            for(int i = 0; i < n; i++){
                if(a[i]!=b[i]) {
                    cout<<"NE"<<'\n';
                    break;
                }
                x = true;
            }
            if(x)cout<<"DA"<<'\n';
        }

    }

    return 0;
}